Package org.flywaydb.core.api.resolver

## Interface ResolvedMigration

-     public interface ResolvedMigration

  Migration resolved through a MigrationResolver. Can be applied against a database.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default boolean` | `canCompareWith​(ResolvedMigration o)` |
    `boolean` | `checksumMatches​(java.lang.Integer checksum)` |
    `boolean` | `checksumMatchesWithoutBeingIdentical​(java.lang.Integer checksum)` |
    `java.lang.Integer` | `getChecksum()` |
    `java.lang.String` | `getDescription()` |
    `MigrationExecutor` | `getExecutor()` |
    `java.lang.String` | `getPhysicalLocation()` |
    `java.lang.String` | `getScript()` |
    `default MigrationState` | `getState​(org.flywaydb.core.internal.info.MigrationInfoContext context)` |
    `org.flywaydb.core.extensibility.MigrationType` | `getType()` |
    `MigrationVersion` | `getVersion()` |
    `default boolean` | `isVersioned()` |

- - ### Method Detail

    - #### getVersion

          MigrationVersion getVersion()

      Returns:
        The version of the database after applying this migration. `null` for repeatable migrations.

    - #### isVersioned

          default boolean isVersioned()

    - #### getDescription

          java.lang.String getDescription()

      Returns:
        The description of the migration.

    - #### getScript

          java.lang.String getScript()

      Returns:
        The name of the script to execute for this migration, relative to its base (classpath/filesystem) location.

    - #### getChecksum

          java.lang.Integer getChecksum()

      Returns:
        The checksum of the migration. Optional. Can be `null` if not unique checksum is computable.

    - #### getType

          org.flywaydb.core.extensibility.MigrationType getType()

      Returns:
        The type of migration (INIT, SQL, ...)

    - #### getPhysicalLocation

          java.lang.String getPhysicalLocation()

      Returns:
        The physical location of the migration on disk. Used for more precise error reporting in case of conflict.

    - #### getExecutor

          MigrationExecutor getExecutor()

      Returns:
        The executor to run this migration.

    - #### getState

          default MigrationState getState​(org.flywaydb.core.internal.info.MigrationInfoContext context)

    - #### canCompareWith

          default boolean canCompareWith​(ResolvedMigration o)

    - #### checksumMatches

          boolean checksumMatches​(java.lang.Integer checksum)

    - #### checksumMatchesWithoutBeingIdentical

          boolean checksumMatchesWithoutBeingIdentical​(java.lang.Integer checksum)